import request from '@/utils/request'

// 查询测厚记录列表
export function listMeasurerecord(query) {
  return request({
    url: '/sems/measure-record/list',
    method: 'get',
    params: query
  })
}

// 查询测厚记录详细
export function getMeasurerecord(id) {
  return request({
    url: '/sems/measure-record/' + id,
    method: 'get'
  })
}

// 新增测厚记录
export function addMeasurerecord(data) {
  return request({
    url: '/sems/measure-record',
    method: 'post',
    data: data
  })
}

// 修改测厚记录
export function updateMeasurerecord(data) {
  return request({
    url: '/sems/measure-record',
    method: 'put',
    data: data
  })
}

// 删除测厚记录
export function delMeasurerecord(id) {
  return request({
    url: '/sems/measure-record/' + id,
    method: 'delete'
  })
}

// 导出测厚记录
export function exportMeasurerecord(query) {
  return request({
    url: '/sems/measure-record/export',
    method: 'get',
    params: query
  })
}
